Projet

Général

Profil

Anomalie #1370

Pb install si php-cli n'a pas l'extension posix

Ajouté par Jérôme Augé il y a plus de 9 ans. Mis à jour il y a plus de 8 ans.

Statut:
Nouveau
Priorité:
Normal
Assigné à:
-
Version cible:
Début:
23/11/2010
Echéance:
% réalisé:

0%

Version source:
Solution proposée:

Mettre à jour wiki prérequis

Principaux fichiers impactés:
Complexité:
Simple
Contrôle:

Test spécifique avec un PHP avec posix et un sans.

Doc wiki pré-requis

Thème:
Régression:
Non
Jalons:

Description

Si le PHP en ligne de commande (CLI) n'a pas l'extension Posix, l'initialisation/installation du contexte va échouer.

Le problème apparaît lors du lancement de `programs/core_initialize' lrosque l'appel à `$WIFF_ROOT/wiff --getValue=xxx' échoue.

Je pense qu'il faudrait checker le exit code de l'appel à `$WIFF_ROOT/wiff --getParam=xxx' et stopper l'exécution proprement dans `core_initialize'.


Demandes liées

Bloqué par Control - Evolution #2165: Mécanisme pour que les modules puissent fournir leurs propres process de check (pre-install/pre-upgrade) Analysé 27/10/2011

Historique

#1 Mis à jour par Dynacase Admin il y a plus de 9 ans

  • Projet changé de Control à Core
  • Version source (oldest) mis à 3.0

#2 Mis à jour par Jérôme Augé il y a plus de 8 ans

La correction de cette demande nécessiterait au préalable d'avoir les mécanismes de #2165

#3 Mis à jour par Éric Brison il y a plus de 8 ans

  • Version cible mis à 3.1.2
  • Complexité mis à Simple

#4 Mis à jour par Éric Brison il y a plus de 8 ans

  • Solution proposée mis à jour (diff)
  • Contrôle mis à jour (diff)

#5 Mis à jour par Éric Brison il y a plus de 8 ans

  • Version cible changé de 3.2 rx à 3.2 sprint 4

#6 Mis à jour par Éric Brison il y a plus de 8 ans

  • Version cible changé de 3.2 sprint 4 à 3.2 rx

Formats disponibles : Atom PDF